from enum import Enum, IntEnum

class PermissionLevel(Enum):
    GUEST = 0
    USER = 1
    MODERATOR = 2
    SYSTEM = 3
    ADMIN = 4

class InfoboxKind(IntEnum):
    INFO = 0
    LOCK = 1
    WARN = 2
    ERROR = 3

InfoboxIcons = {
    InfoboxKind.INFO: "/static/misc/info.svg",
    InfoboxKind.LOCK: "/static/misc/lock.svg",
    InfoboxKind.WARN: "/static/misc/warn.svg",
    InfoboxKind.ERROR: "/static/misc/error.svg",
}

InfoboxHTMLClass = {
    InfoboxKind.INFO: "",
    InfoboxKind.LOCK: "warn",
    InfoboxKind.WARN: "warn",
    InfoboxKind.ERROR: "critical",
}
