document.addEventListener("DOMContentLoaded", () => {
  const timestampSpans = document.getElementsByClassName("timestamp");
  for (let timestampSpan of timestampSpans) {
    const timestamp = parseInt(timestampSpan.dataset.utc);
    if (!isNaN(timestamp)) {
      const date = new Date(timestamp * 1000);
      timestampSpan.textContent = date.toLocaleString();
    }
  }
})
